<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="competencia">
      <h2 data-cy="competenciaDetailsHeading"><span jhiTranslate="matrixApp.competencia.detail.title">Competencia</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.competencia.id">Id</span></dt>
        <dd>
          <span>{{ competencia.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.competencia.descricao">Descricao</span></dt>
        <dd>
          <span>{{ competencia.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.competencia.diretriz">Diretriz</span></dt>
        <dd>
          <div *ngIf="competencia.diretriz">
            <a [routerLink]="['/diretriz', competencia.diretriz.id, 'view']">{{ competencia.diretriz.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.competencia.papel">Papel</span></dt>
        <dd>
          <div *ngIf="competencia.papel">
            <a [routerLink]="['/papel', competencia.papel.id, 'view']">{{ competencia.papel.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/competencia', competencia.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
